Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.

From: Ergus <[email-masked]>
Date: Fri, 8 Nov 2019 22:39:38 +0100

On Fri, Nov 08, 2019 at 10:21:14AM +0100, martin rudalics wrote:
>> These hangs occur not only with tab-bar, but also with menu-bar
>> when tab-bar is not enabled.  These hangs can be reproduced by
>> configuring --with-x-toolkit=no and running emacs -Q.
>> Then evaluating this causes hangs:
>>
>>    (set-face-attribute 'menu nil :weight 'ultra-bold :underline t)
>
>On Windows
>
>(set-face-attribute 'default nil :underline t)
>
>suffices to make it hang in the tool bar redisplay code.  I have the
>guts feeling that it's related to the new :extend mechanism because it
>works in Emacs 26.
>
>martin

Hi Martin:

I will try a simple check to test if it is relates commenting the call
to merge in extend_face_to_end_of_line. But I don't see it related at
all; the loop seems to be in some gc functions. Remember that the gc has
been changes too since emacs 26.